=========================
dials.algorithms.indexing
=========================

.. automodule:: dials.algorithms.indexing
    :members:
    :undoc-members:
    :show-inheritance:

dials.algorithms.indexing.indexer
=================================

.. automodule:: dials.algorithms.indexing.indexer
    :members:
    :undoc-members:
    :show-inheritance:

dials.algorithms.indexing.stills_indexer
========================================

.. automodule:: dials.algorithms.indexing.stills_indexer
    :members:
    :undoc-members:
    :show-inheritance:

dials.algorithms.indexing.basis_vector_search
=============================================

.. automodule:: dials.algorithms.indexing.basis_vector_search
    :members:
    :undoc-members:
    :show-inheritance:

.. automodule:: dials.algorithms.indexing.basis_vector_search.combinations
    :members:
    :undoc-members:
    :show-inheritance:

.. automodule:: dials.algorithms.indexing.basis_vector_search.optimise
    :members:
    :undoc-members:
    :show-inheritance:

dials.algorithms.indexing.lattice_search
========================================

.. automodule:: dials.algorithms.indexing.lattice_search
    :members:
    :undoc-members:
    :show-inheritance:

dials.algorithms.indexing.model_evaluation
==========================================

.. automodule:: dials.algorithms.indexing.model_evaluation
    :members:
    :undoc-members:
    :show-inheritance:

dials.algorithms.indexing.max_cell
==================================

.. automodule:: dials.algorithms.indexing.max_cell
    :members:
    :undoc-members:
    :show-inheritance:

.. automodule:: dials.algorithms.indexing.nearest_neighbor
    :members:
    :undoc-members:
    :show-inheritance:

.. automodule:: dials.algorithms.indexing.assign_indices
    :members:
    :undoc-members:
    :show-inheritance:

.. automodule:: dials.algorithms.indexing.compare_orientation_matrices
    :members:
    :undoc-members:
    :show-inheritance:

.. automodule:: dials.algorithms.indexing.symmetry
    :members:
    :undoc-members:
    :show-inheritance:

.. automodule:: dials.algorithms.indexing.refinement
    :members:
    :undoc-members:
    :show-inheritance:
